ยินดีต้อนรับคุณ, บุคคลทั่วไป กรุณา เข้าสู่ระบบ หรือ ลงทะเบียน

เข้าสู่ระบบด้วยชื่อผู้ใช้ รหัสผ่าน และระยะเวลาในเซสชั่น

ThaiSEOBoard.comพัฒนาเว็บไซต์CMS & Free Scriptลง AppServ 9.2.0 ล่าสุดในเว็ป รัน SQL ไม่ผ่านเลย แต่ลง ลง AppServ 2.5.10 รันได้
หน้า: [1]   ลงล่าง
พิมพ์
ผู้เขียน หัวข้อ: ลง AppServ 9.2.0 ล่าสุดในเว็ป รัน SQL ไม่ผ่านเลย แต่ลง ลง AppServ 2.5.10 รันได้  (อ่าน 632 ครั้ง)
0 สมาชิก และ 1 บุคคลทั่วไป กำลังดูหัวข้อนี้
modoindy
Newbie
*

พลังน้ำใจ: 3
ออฟไลน์ ออฟไลน์

กระทู้: 52



ดูรายละเอียด
« เมื่อ: 10 กันยายน 2019, 10:44:14 »

ติดต่อฐานข้อมูล SQL Server  ลง AppServ 2.5.10
รันได้ปกติ  แบบ odbc_exec  odbc_num_rows
แต่พอผลมลง AppServ 9.2.0 ล่าสุดในเว็ป  รัน SQL ไม่ผ่านเลย ต้องติดตั้งตัวไหนเพิ่มบ้าง
 wanwan035
บันทึกการเข้า
watyai
ก๊วนเสียว
*

พลังน้ำใจ: 6
ออฟไลน์ ออฟไลน์

กระทู้: 264



ดูรายละเอียด เว็บไซต์
« ตอบ #1 เมื่อ: 10 กันยายน 2019, 11:12:19 »

Error แดงๆ บอกว่ายังไม่ได้เลือกฐานข้อมูล
บันทึกการเข้า

shaobi
คนรักเสียว
*

พลังน้ำใจ: 4
ออฟไลน์ ออฟไลน์

กระทู้: 102



ดูรายละเอียด เว็บไซต์
« ตอบ #2 เมื่อ: 10 กันยายน 2019, 12:10:19 »

version ของ sql มันเปลี่ยนหรือป่าวครับ คำสั่งบางคำอาจจะไม่รองรับ
ผมเดาเอานะ ไม่ได้ใช้ appserv มานานแล้ว
บันทึกการเข้า

dekdoo
สมุนแก๊งเสียว
*

พลังน้ำใจ: 57
ออฟไลน์ ออฟไลน์

กระทู้: 854



ดูรายละเอียด
« ตอบ #3 เมื่อ: 10 กันยายน 2019, 22:21:57 »

เช็ค version php ของ script คุณ กับ php ที่ run อยู่
บางทีอาจเป็นที php version ที่ run อยู่ได้ยกเลิก function เชื่อมต่อ database อันเก่านั้นแล้ว แนะใหเชื่อมต่อ db ด้วย function อันใหม่
บันทึกการเข้า
modoindy
Newbie
*

พลังน้ำใจ: 3
ออฟไลน์ ออฟไลน์

กระทู้: 52



ดูรายละเอียด
« ตอบ #4 เมื่อ: 13 กันยายน 2019, 00:56:23 »

เช็ค version php ของ script คุณ กับ php ที่ run อยู่
บางทีอาจเป็นที php version ที่ run อยู่ได้ยกเลิก function เชื่อมต่อ database อันเก่านั้นแล้ว แนะใหเชื่อมต่อ db ด้วย function อันใหม่

ขอบคุณคราบ
บันทึกการเข้า
หน้า: [1]   ขึ้นบน
พิมพ์